## ThunarStatusbar ThunarStatusbar |

## Functions

GtkWidget * | thunar_statusbar_new ()
void | thunar_statusbar_setup_event ()
void | thunar_statusbar_append_accelerators ()
XfceGtkActionEntry * | thunar_statusbar_get_action_entries ()

## Properties

char * | text | Write

## Types and Values

enum | ThunarStatusBarAction
| XfceGtkActionEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GtkStatusbar
                            ╰── ThunarStatusbar

## Description

## Functions

### thunar_statusbar_new ()

    GtkWidget *
    thunar_statusbar_new (void);

Allocates a new ThunarStatusbar instance with no text set.

#### Returns

the newly allocated ThunarStatusbar instance.

### thunar_statusbar_setup_event ()

    void
    thunar_statusbar_setup_event (ThunarStatusbar *statusbar,
                                  GtkWidget *event_box);

Sets the statusbar's GtkEventBox and uses it to receive signals.

#### Parameters

statusbar | a ThunarStatusbar instance. |
event_box | a GtkWidget instance (actually a GtkEventBox passed as a GtkWidget). |

### thunar_statusbar_append_accelerators ()

    void
    thunar_statusbar_append_accelerators (ThunarStatusbar *statusbar,
                                          GtkAccelGroup *accel_group);

Connects all accelerators and corresponding default keys of this widget to the global accelerator list

#### Parameters

statusbar | a ThunarStatusbar. |
accel_group | a GtkAccelGroup to be used used for new menu items |

### thunar_statusbar_get_action_entries ()

    XfceGtkActionEntry *
    thunar_statusbar_get_action_entries (void);

## Types and Values

### enum ThunarStatusBarAction

#### Members

THUNAR_STATUS_BAR_ACTION_TOGGLE_SIZE |  |
THUNAR_STATUS_BAR_ACTION_TOGGLE_SIZE_IN_BYTES |  |
THUNAR_STATUS_BAR_ACTION_TOGGLE_FILETYPE |  |
THUNAR_STATUS_BAR_ACTION_TOGGLE_DISPLAY_NAME |  |
THUNAR_STATUS_BAR_ACTION_TOGGLE_LAST_MODIFIED |  |
THUNAR_STATUS_BAR_ACTION_TOGGLE_HIDDEN_COUNT |  |
THUNAR_STATUS_BAR_N_ACTIONS |  |

### XfceGtkActionEntry

    typedef struct _XfceGtkActionEntry XfceGtkActionEntry;

## Property Details

### The `“text”` property

      “text”                     char *

The main text to be displayed in the statusbar. This property can only be written.

Owner: ThunarStatusbar

Flags: Write

Default value: NULL